Package org.silverpeas.components.suggestionbox.control

## Class SuggestionBoxWebRequestContext

- java.lang.Object
- - org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext<SuggestionBoxWebController>
  - - org.silverpeas.components.suggestionbox.control.SuggestionBoxWebRequestContext

-     public class SuggestionBoxWebRequestContext
      extends org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext<SuggestionBoxWebController>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuggestionBoxWebRequestContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beforeRequestProcessing()` |
    `SuggestionBox` | `getSuggestionBox()` | Gets the suggestion box.

    - ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext

      `addRedirectVariable, getComponentInstanceId, getComponentInstanceLabel, getComponentName, getComponentUriBase, getHighestUserRole, getHttpMethodClass, getInstanceParameterValue, getMessager, getMultilang, getNavigationContext, getPathVariables, getRequest, getResponse, getSpaceId, getSpaceLabel, getUser, getUserRoles, getZoneId, isComingFromRedirect, redirectToHtmlEditor, redirectToHtmlEditor, redirectToHtmlEditor, redirectToHtmlEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestionBoxWebRequestContext

          public SuggestionBoxWebRequestContext()

  - ### Method Detail

    - #### beforeRequestProcessing

          public void beforeRequestProcessing()

      Overrides:
        `beforeRequestProcessing` in class `org.silverpeas.core.web.mvc.webcomponent.WebComponentRequestContext<SuggestionBoxWebController>`

    - #### getSuggestionBox

          public SuggestionBox getSuggestionBox()

      Gets the suggestion box.
      Returns: